commit:     6314c19ef47444d6fa1e5a4699b7d35aaebe9258
Author:     Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Wed Nov 22 00:18:01 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 25 06:11:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6314c19e

gui-libs/wlroots: add 0.17.0

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gui-libs/wlroots/Manifest              |   1 +
 gui-libs/wlroots/wlroots-0.17.0.ebuild | 101 +++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/gui-libs/wlroots/Manifest b/gui-libs/wlroots/Manifest
index fcc89856ee73..789e91f1932f 100644
--- a/gui-libs/wlroots/Manifest
+++ b/gui-libs/wlroots/Manifest
@@ -3,3 +3,4 @@ DIST wlroots-0.14.1.tar.gz 505840 BLAKE2B 
fca4d259cdde62da0c196344ce1d0f5dd679d0
 DIST wlroots-0.15.1.tar.gz 565816 BLAKE2B 
09b704a55d8b4a5ab19bb0fcdd041635fbbbb8eed94ff6d189ef47f9f86e90178efa8441c7db78839b1145ed79ed016d520d6599e256cdcf49130cda38bc307d
 SHA512 
6228160f2f350a406c612f1048d7075cf2f78206cc84bc16f889d5d0acd614f9e98845fffed03d7067cfdbd7558b77fcc5d8cedc3868d866e476523126a63677
 DIST wlroots-0.16.2.gl.tar.gz 588432 BLAKE2B 
cad2a98b1413ed94270b53af62541d67de1c74d3350be32c2e67aaee1d36d4260738b517d6d41f2013f436276097509a5d2662c531be354f7b4edc1c0204eced
 SHA512 
9d5fbee3b87738de75323a056b83446eb93b81ac3e8a4315918d5daad6ed2f50392d9641039f3f830ec1df94155473a2052689d3c029be7572d8ec9ecc62c0e9
 DIST wlroots-0.16.2.tar.gz 589804 BLAKE2B 
49911556f1442b43b46e3ec7750706cabeeab915bc36b178b92dec7b66743f4c2f0e335c6e26e318a25ceda41170b20913987a94a3c516df580d379305df7cc2
 SHA512 
3c1d4fecb3b751987e7051e69849fd62bd4eed95f2d2e548f06e42e4829d0fc24f20c1bfe056a53ede2d1fd05e0c566269a7b9f2bab0de0057a32b55e826a7c0
+DIST wlroots-0.17.0.tar.gz 606172 BLAKE2B 
00e5a8eec166e9ce8fbb1bc365deb5eaad66568b197239581e9bf21bec6d2b77d162daa8534057ed02a208ffb8895ea0f562dd1201e9e1ee4e72bfe63e1bbb0c
 SHA512 
ca7314d7dca3ddac3e6970476b4145a0a2566a6632054f406c6e74ea7280a805cdf9b6972cca15c3170a5f41c83677768843b648b6b98ab6428e4ecde43aa4de

diff --git a/gui-libs/wlroots/wlroots-0.17.0.ebuild 
b/gui-libs/wlroots/wlroots-0.17.0.ebuild
new file mode 100644
index 000000000000..6b8d847bfa67
--- /dev/null
+++ b/gui-libs/wlroots/wlroots-0.17.0.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Pluggable, composable, unopinionated modules for building a 
Wayland compositor"
+HOMEPAGE="https://gitlab.freedesktop.org/wlroots/wlroots";
+
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="https://gitlab.freedesktop.org/${PN}/${PN}.git";
+       inherit git-r3
+       SLOT="0/9999"
+else
+       
SRC_URI="https://gitlab.freedesktop.org/${PN}/${PN}/-/releases/${PV}/downloads/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+       SLOT="0/$(ver_cut 2)"
+fi
+
+LICENSE="MIT"
+IUSE="liftoff +libinput +drm +session tinywl vulkan x11-backend xcb-errors X"
+REQUIRED_USE="
+       drm? ( session )
+       libinput? ( session )
+       xcb-errors? ( || ( x11-backend X ) )
+"
+
+DEPEND="
+       >=dev-libs/wayland-1.22.0
+       media-libs/mesa[egl(+),gles2]
+       >=x11-libs/libdrm-2.4.114
+       x11-libs/libxkbcommon
+       >=x11-libs/pixman-0.42.0
+       drm? (
+               media-libs/libdisplay-info
+               sys-apps/hwdata
+               liftoff? ( >=dev-libs/libliftoff-0.4 )
+       )
+       libinput? ( >=dev-libs/libinput-1.14.0:= )
+       session? (
+               sys-auth/seatd:=
+               virtual/libudev
+       )
+       vulkan? (
+               dev-util/glslang:=
+               dev-util/vulkan-headers
+               media-libs/vulkan-loader
+       )
+       xcb-errors? ( x11-libs/xcb-util-errors )
+       x11-backend? (
+               x11-libs/libxcb:=
+               x11-libs/xcb-util-renderutil
+       )
+       X? (
+               x11-libs/libxcb:=
+               x11-libs/xcb-util-wm
+               x11-base/xwayland
+       )
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       >=dev-libs/wayland-protocols-1.32
+       dev-util/wayland-scanner
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local backends=(
+               $(usev drm)
+               $(usev libinput)
+               $(usev x11-backend 'x11')
+       )
+       local meson_backends=$(IFS=','; echo "${backends[*]}")
+       local emesonargs=(
+               $(meson_feature xcb-errors)
+               $(meson_use tinywl examples)
+               -Drenderers=$(usex vulkan 'gles2,vulkan' gles2)
+               $(meson_feature X xwayland)
+               -Dbackends=${meson_backends}
+               $(meson_feature session)
+       )
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       dodoc docs/*
+
+       if use tinywl; then
+               dobin "${BUILD_DIR}"/tinywl/tinywl
+       fi
+}
+
+pkg_postinst() {
+       elog "You must be in the input group to allow your compositor"
+       elog "to access input devices via libinput."
+}

Reply via email to